RanklyBee logoRanklyBee
Email accounts

List email accounts

GET
/workspaces/{workspaceId}/sites/{siteId}/email-accounts

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

siteId*string

Site ID returned by GET /workspaces/{workspaceId}/sites.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/sites/string/email-accounts"
{  "ok": true,  "data": {    "connections": [      {        "id": "string",        "provider": "string",        "status": "string",        "accountEmail": "user@example.com",        "providerRegion": "string",        "hasError": true,        "connectedAt": "2019-08-24T14:15:22Z",        "lastTestedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "senders": [      {        "id": "string",        "connectionId": "string",        "source": "string",        "status": "string",        "verificationStatus": "string",        "displayName": "string",        "email": "user@example.com",        "replyToEmail": "user@example.com",        "dailyLimit": 0,        "healthStatus": "string",        "warmupStatus": "string",        "healthScore": 0,        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ]  }}